GeoTessCPP: geotess::HorizonRadius Class Reference

GeoTessCPP 2.0.0 Software to facilitate storage and retrieval of 3D information about the Earth.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Friends Macros
Public Member Functions
geotess::HorizonRadius Class Reference

`#include <HorizonRadius.h>`

Inheritance diagram for geotess::HorizonRadius:

List of all members.

## Public Member Functions
| HorizonRadius (const double &r)
| HorizonRadius (const double &r, const int &lyrIndex)
virtual | ~HorizonRadius ()
| HorizonRadius (HorizonRadius &other)
HorizonRadius & | operator= (const HorizonRadius &other)
virtual string | class_name ()
virtual double | getValue ()
virtual double | getRadius (const double *position, Profile **profiles)
virtual double | getRadius (GeoTessPosition &position)
virtual string | str ()
Public Member Functions inherited from geotess::Horizon
| Horizon (const int &lyrIndex)
virtual | ~Horizon ()
virtual int | getLayerIndex ()

## Additional Inherited Members
Protected Attributes inherited from geotess::Horizon
int | layerIndex

## Detailed Description

Defines a "surface" in a model that resides at a constant radius.

Author:
  sballar

## Constructor & Destructor Documentation

geotess::HorizonRadius::HorizonRadius | ( | const double & | r | ) |
| inline

Constructor for a Horizon object that represents a constant radius within the Earth. Units are km.

Since the layerIndex is not specified, the radius is not constrained to be within any particular layer.

Parameters:

  r | radius in km.

geotess::HorizonRadius::HorizonRadius | ( | const double & | r,
|  | const int & | lyrIndex
| ) |  |
| inline

Constructor for a Horizon object that represents a constant radius in the Earth, in km.

Since the layerIndex is specified, the radius will be constrained to be within the specified layer.

Parameters:

  r | radius within the Earth, in km.
  lyrIndex | the index of the layer within which the radius will be constrained.

virtual geotess::HorizonRadius::~HorizonRadius | ( |  | ) |
| inlinevirtual

Destructor.

geotess::HorizonRadius::HorizonRadius | ( | HorizonRadius & | other | ) |
| inline

Copy constructor.

## Member Function Documentation

virtual string geotess::HorizonRadius::class_name | ( |  | ) |
| inlinevirtual

Reimplemented from geotess::Horizon.

virtual double geotess::HorizonRadius::getRadius | ( | const double * | position,
|  | Profile ** | profiles
| ) |  |
| inlinevirtual

Return the radius of the Horizon at the specified geographic position and constrained by the specified array of Profiles, all of which are assumed to reside at the specified position.

Parameters:

  position | the unit vector representing the position where the radius is to be determined. This should correspond to the position of the supplied array of Profiles.
  profiles | a 1D array of profiles at the specified position. The number of elements must be equal to the number of layers in the model with the first layer being the deepest (closest to the center of the Earth) and the last layer being the shallowest (farthest from the center of the Earth).

Returns:
  the radius of the Horizon at the specified position and perhaps constrained to reside in the specified layer. Units are km.

Reimplemented from geotess::Horizon.

virtual double geotess::HorizonRadius::getRadius | ( | GeoTessPosition & | position | ) |
| inlinevirtual

Return the radius of the Horizon at the position of the specified GeoTessPosition object.

Parameters:

  position |

Returns:
  the radius of the Horizon at the specified position and perhaps constrained to reside in the specified layer. Units are km.

Exceptions:

  GeoTessException |

Reimplemented from geotess::Horizon.

virtual double geotess::HorizonRadius::getValue | ( |  | ) |
| inlinevirtual

HorizonDepth objects return depth, HorizonRadius object return radius, and HorizonLayer object return fraction.

Reimplemented from geotess::Horizon.

HorizonRadius& geotess::HorizonRadius::operator= | ( | const HorizonRadius & | other | ) |
| inline

Overloaded assignment operator

virtual string geotess::HorizonRadius::str | ( |  | ) |
| inlinevirtual

Reimplemented from geotess::Horizon.

The documentation for this class was generated from the following file:

- include/HorizonRadius.h